org.apache.maven.scm.provider.local.metadata.io.xpp3

## Class LocalScmMetadataXpp3Reader

- java.lang.Object
- - org.apache.maven.scm.provider.local.metadata.io.xpp3.LocalScmMetadataXpp3Reader

    public class LocalScmMetadataXpp3Reader
    extends Object

Class LocalScmMetadataXpp3Reader.

Version:
  $Revision$ $Date$

### Constructor Summary

Constructors
Constructor and Description
`LocalScmMetadataXpp3Reader()`

### Method Summary

Methods
`boolean` `getAddDefaultEntities()` Returns the state of the "add default entities" flag.
`LocalScmMetadata` `read(InputStream in)` Method read.
`LocalScmMetadata` `read(InputStream in, boolean strict)` Method read.
`LocalScmMetadata` `read(Reader reader)`
`LocalScmMetadata` `read(Reader reader, boolean strict)`
`void` `setAddDefaultEntities(boolean addDefaultEntities)` Sets the state of the "add default entities" flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalScmMetadataXpp3Reader

    public LocalScmMetadataXpp3Reader()

### Method Detail

#### getAddDefaultEntities

    public boolean getAddDefaultEntities()

Returns the state of the "add default entities" flag.

Returns:
  boolean

#### read

    public LocalScmMetadata read(Reader reader,
                        boolean strict)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
  `strict` -
Returns:
  LocalScmMetadata
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public LocalScmMetadata read(Reader reader)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
Returns:
  LocalScmMetadata
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public LocalScmMetadata read(InputStream in,
                        boolean strict)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
  `strict` -
Returns:
  LocalScmMetadata
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### read

    public LocalScmMetadata read(InputStream in)
                          throws IOException,
                                 org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
Returns:
  LocalScmMetadata
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### setAddDefaultEntities

    public void setAddDefaultEntities(boolean addDefaultEntities)

Sets the state of the "add default entities" flag.

Parameters:
  `addDefaultEntities` -